import {ImageObject} from "../elements/ImageObject";
import {BaseInteraction} from "./BaseInteraction";

/**
 * Base element interaction
 */
export abstract class BaseElementInteraction<TElement extends ImageObject> extends BaseInteraction {
    /**
     * Members
     */
    private _element: TElement;

    /**
     * Constructor
     * @param element
     */
    protected constructor(element: TElement) {
        // Parent constructor
        super();

        // Members
        this._element = element;
    }

    //<editor-fold desc="Getter and Setter">
    /**
     * Get target element
     */
    public get element(): TElement {
        return this._element;
    }

    /**
     * Set target element
     * @param value
     */
    public set element(value: TElement) {
        this._element = value;
    }
    //</editor-fold>
}
