export const Design = {
    default: {
        numbers: {
            defaultValue: 1,
            defaultMinValue: 1,
            defaultMaxValue: 10,
            defaultGab: 1,
        },
    },
    // Display objects
    // Modes
    blocked: {
        lineWidth: 1,
        lineColor: 0x5a5a5a,
        lineAlpha: 0.3,
        fillColor: 0x808080,
        fillAlpha: 0.3,
    },
    selftest: {
        zIndex: 9001,
        scaleAspect: 0.4,
        lineWidth: 1,
        lineColor: 0xFFDBAC,
        lineColorSelect: 0x4ae29c,
        lineColorUnselect: 0xF02C6B,
        lineAlpha: 1,
        fillColor: 0xFFDBAC,
        fillColorSelect: 0x4ae29c,
        fillColorUnselect: 0xF02C6B,
        fillAlpha: 0.8,
        pad: 2,
        selftestRadius: 8,
        selftestRadiusSelected: 4,
    },
    // Elements
    image: {
        tileSize: 256,
        zIndex: 10,
        minZoomFactor: 0.3,
        maxZoomFactor: 4,
        visibleImageXAspect: 3,
        visibleImageYAspect: 3,
    },
    deepZoomImage: {
        minPixelRatio: 1.5,
        minZoomFactor: 0.3,
        maxZoomFactor: 40,
        tileMargin: 0,
        initialLoadingLevel: 3,
        loadDebounce: 20,
    },
    imageNavigator: {
        zIndex: 100,
        buttonSizeAspect: 3,
        buttonTextAspect: 2.2,
        lineWidth: 1,
        lineColor: 0x000000, // 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0xFFFFFF, // 0x4a90e2,
        fillAlpha: 0.3,
        zoomStep: 0.1,
    },
    selftestElement: {
        zIndex: 10,
        lineWidth: 1,
        lineColor: 0xFFDBAC,
        lineAlpha: 1,
        gab: 3,
    },
    button: {
        zIndex: 500,
        lineWidth: 1,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0xFFFFFF,
        fillAlpha: 1,
    },
    menuButton: {
        zIndex: 500,
        lineWidth: 1,
        lineColor: 0x000000,
        lineAlpha: 1,
        fillColor: 0x000000,
        fillAlpha: 0.3,
    },
    colorButton: {
        zIndex: 500,
        lineWidth: 1,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
    },
    indexedRoundButtonMask: {
        pad: 1,
    },
    indexedRoundButton: {
        indexAspect: 1.6,
    },
    roundButton: {
        zIndex: 500,
        scaleAspect: 0.3,
        lineWidth: 0.5,
        minLineWidth: 1,
        lineColor: 0x000000,
        lineAlpha: 1,
        fillColor: 0x000000,
        fillAlpha: 0.3,
        fontSize: 12,
        minFontSize: 1,
        fontColor: 0x000000,
    },
    roundButtonIndicatorElement: {
        scaleAspect: 0.3,
        lineColor: 0xffffff,
        lineAlpha: 1,
        lineWidth: 1,
        minLineWidth: 2,
    },
    caretElement: {
        zIndex: 200,
        lineWidth: 1,
        fillColor: 0x000000,
        fillAlpha: 1,
    },
    selectionElement: {
        zIndex: 10,
        lineWidth: 1,
        fillColor: 0x4a90e2,
        fillAlpha: 0.4,
    },
    scale: {
        zIndex: 6000,
        scaleAspect: 0.4,
        cornerRadius: 3,
        lineWidth: 1,
        lineColorNormal: 0x4a90e2,
        lineColorLockAspect: 0xe2504a,
        lineColorRelative: 0x4ae29c,
        lineAlpha: 1,
        fillColorNormal: 0x4a90e2,
        fillColorLockAspect: 0xe2504a,
        fillColorRelative: 0x4ae29c,
        fillAlpha: 0.5,
    },
    rotate: {
        zIndex: 6000,
        scaleAspect: 0.4,
        pad: 5,
        cornerRadius: 3,
        lineWidth: 1,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0x4a90e2,
        fillAlpha: 0.5,
        rotationDY: 20,
    },
    rotateScale: {
        zIndex: 6000,
        scaleAspect: 0.4,
        radiusDelta: -20,
        rotationDY: 20,
        lineWidth: 1,
        lineLength: 10,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0x4a90e2,
        fillAlpha: 0.1,
        textDY: 10,
        textFontSize: 20,
        textColor: 0x4a90e2,
        textResolution: 30,
    },
    point: {
        zIndex: 401,
        scaleAspect: 0.4,
        radius: 3,
        radiusSelected: 2,
        lineWidth: 1,
        lineColor: 0x25303D,
        lineAlpha: 1,
        fillColor: 0x25303D,
        fillAlpha: 0.5,
    },
    positionPoint: {
        zIndexDefault: 2001,
        scaleAspect: 0.4,
        radiusAspect: 5,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        radius: 2,
        radiusSelected: 2,
        lineRectangleZIndex: 9000,
        lineRectangleWidth: 4,
        lineRectangleHeight: 4,
        lineWidth: 1,
        lineColorNormal: 0x25303D,
        lineColorNormalSelftest: 0xFFDBAC,
        lineColorHover: 0x4a91e2,
        lineColorSelected: 0x4a90e2,
        lineColorSelftest: 0xFFC67B,
        lineColorGroup: 0x4ae29c,
        lineAlpha: 1,
        fillColorNormal: 0x25303D,
        fillColorNormalSelftest: 0xFFDBAC,
        fillColorHover: 0x4BDEE3,
        fillColorSelected: 0x4a90e2,
        fillColorSelftest: 0xFFC67B,
        fillColorGroup: 0x4ae29c,
        fillAlpha: 0.5,
    },
    line: {
        zIndexDefault: 2000,
        radiusAspect: 5,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        interactWithLinesDefault: true,
        strokeWidthAspect: 0.02,
        strokeWidthDefault: 3,
        lineAlphaDefault: 1,
        lineColorDefault: 0xFFFFFF,
        lineColorHover: 0x4a91e2,
        lineColorSelected: 0x4a90e2,
        lineColorSelftestSelected: 0xA6F6D2,
        lineColorSelftestUnselected: 0xF780A6,
        bezierLineWidth: 1,
        bezierLineColor: 0x4A8FE2, // 0x9EC5F4;
        bezierLineAlpha: 1,
        bezierPointRadius: 2,
        bezierPointColor: 0x4A8FE2, // 0x9EC5F4;
        bezierPointAlpha: 1,
        hitboxLineWidthAddition: 4,
    },
    controlPoint: {
        lineWidth: 1,
        lineColor: 0x4A8FE2, // 0x9EC5F4;
        lineAlpha: 1,
        pointRadius: 2,
        pointColor: 0x4A8FE2, // 0x9EC5F4;
        pointAlpha: 1,
    },
    wedgePoint: {
        zIndex: 20,
        scaleAspect: 0.4,
        radius: 3,
        lineWidth: 1,
        lineColorNormal: 0x25303D,
        lineColorHover: 0x4a91e2,
        lineAlpha: 1,
        fillColorNormal: 0x25303D,
        fillColorHover: 0x4BDEE3,
        fillAlpha: 0.5,
    },
    text: {
        minResolution: 2,
        maxResolution: 4,
    },
    primitive: {
        lineColorHover: 0x4a91e2,
        fillColorHover: 0x4BDEE3,
    },
    arrowPrimitive: {
        zIndexDefault: 2001,
    },
    ellipsePrimitive: {
        zIndexDefault: 2001,
    },
    rectanglePrimitive: {
        zIndexDefault: 2001,
    },
    textPrimitive: {
        zIndexDefault: 2001,
    },
    backgroundRectangleElement: {
        zIndexDefault: 2000,
        radiusAspect: 5,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        padAspect: 0.02,
        padDefault: 10,
        angleDefault: 0,
        strokeWidthAspect: 0.02,
        strokeWidthDefault: 2,
        hasLineDefault: true,
        lineAlphaDefault: 1,
        lineColorDefault: 0x000000,
        lineColorHover: 0x4a91e2,
        lineColorSelftest: 0xFFC67B,
        lineColorSelftestSelected: 0x4ae29c,
        lineColorSelftestUnselected: 0xF02C6B,
        hasFillDefault: false,
        fillAlphaDefault: 1,
        fillColorDefault: 0xFFFFFF,
        fillColorHover: 0x4BDEE3,
        fillColorSelftest: 0xFFC67B,
        fillColorSelftestSelected: 0x4ae29c,
        fillColorSelftestUnselected: 0xF02C6B,
        fillColorGroup: 0x4ae29c,
    },
    fillCollection: {
        zIndexDefault: 1999,
        radiusAspect: 5,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        trokeWidthAspect: 0.02,
        strokeWidthDefault: 2,
        fillAlphaDefault: 1,
        fillAlphaInteractive: 0.00000001,
        fillColorDefault: 0xFFFFFF,
        fillColorHover: 0x4BDEE3,
        fillColorSelected: 0x4a90e2,
        fillColorInteractive: 0xFFC67B,
        fillColorSelftestSelected: 0x4ae29c,
        fillColorSelftestUnselected: 0xF02C6B,
    },
    legendCollection: {
        zIndexDefault: 2001,
        radiusAspect: 5,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        fillColorDefault: 0xFFFFFF,
        fontSizeDefault: 32,
        fontFamilyDefault: "proxima_nova_altsemibold",
        alignDefault: "left",
        breakWordsDefault: false,
    },
    legendColumn: {
        zIndex: 300,
    },
    legendRow: {
        enumerationPadding: 30,
        fillColorHover: 0x4BDEE3
    },
    selectElement: {
        zIndex: 150,
        scaleAspect: 0.4,
        radiusAspect: 5,
        groupPadAspect: 6,
        buttonSizeAspect: 24,
        buttonTextAspect: 2.2,
        groupPad: 10,
        lineWidth: 1,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0x4a90e2,
        fillAlpha: 0.5,
    },
    selectImageObjectElement: {
        zIndex: 151,
        scaleAspect: 0.4,
        pad: 5,
        displayObjectDepth: 5,
        buttonWidth: 20,
        fontSize: 12,
    },
    menu: {
        zIndex: 6001,
        // scaleAspect: 0.3,
        radius: 124,
        fontSize: 32,
        minFontSize: 4,
        // buttonWidth: 20,
        // fontSize: 12,
        // fontColor: 0xffffff,
        anglePositions: [0, -45, -90, -135, -180, -225, -270, -315],
        // defaultValue: 1,
        // defaultMinValue: 1,
        // defaultMaxValue: 10,
        // defaultGab: 1,
        // strokeWidthAspect: 0.02,
    },
    subMenu: {
        zIndex: 501,
        // scaleAspect: 0.4,
        buttonRadius: 40,
        // buttonWidth: 8,
        fontSize: 32,
        descriptionFontSize: 32,
        fontColor: 0xffffff,
        buttonGab: 5
    },
    subMenuItems: {
        zIndex: 502,
        // scaleAspect: 0.4,
        buttonRadius: 20,
        // buttonWidth: 8,
        fontSize: 32,
        fontColor: 0xffffff,
        buttonGab: 5
    },
    colorElement: {
        zIndex: 501,
        buttonWidth: 20,
        fontSize: 12,
    },
    colorSliderElement: {
        zIndex: 400,
        qualityWidth: 256,
        qualityHeight: 1,
        squareWidthAspect: 8,
        borderLineWidth: 1,
        borderLineColor: 0x4a90e2,
        borderLineAlpha: 1,
        sliderWidth: 1,
        fillColor: 0xffffff,
        fillAlpha: 1,
    },
    colorSquareElement: {
        zIndex: 400,
        scale: 0.5,
        qualityWidth: 256,
        qualityHeight: 256,
        squareWidthAspect: 8,
        squareHeightAspect: 8,
        borderLineWidth: 1,
        borderLineColor: 0x4a90e2,
        borderLineAlpha: 1,
        lineWidth: 1,
        lineColor: 0xffffff,
        lineAlpha: 1,
        fillColor: 0x000000,
        fillAlpha: 1,
        circleRadius: 4,
    },
    alphaSliderElement: {
        zIndex: 400,
        qualityWidth: 256,
        qualityHeight: 1,
        squareWidthAspect: 8,
        borderLineWidth: 1,
        borderLineColor: 0x4a90e2,
        borderLineAlpha: 1,
        sliderWidth: 1,
        fillColor: 0xffffff,
        fillAlpha: 1,
    },
    colorPaletteElement: {
        zIndex: 500,
        buttonWidth: 20,
        maxStoredValues: 15,
        buttonCap: 5,
        presetColors: [0x000000, 0xffffff, 0x9B9B9B, 0xA00057, 0xFA0202, 0xD56038, 0xF39200, 0xA6CA5E, 0x357E32, 0x169995, 0x1F89CD, 0x210B8A, 0x6E6EBE],
    },
    numberElement: {
        zIndex:501,
        buttonWidth: 20,
        lineWidth: 1,
        lineColor: 0x4a90e2,
        lineAlpha: 1,
        fillColor: 0xFFFFFF,
        fillAlpha: 1,
        textFontSize: 16,
        textFillColor: 0x000000,
        fontFamilyDefault: "proxima_nova_altsemibold",
        alignDefault: "left",
        wordWrapDefault: false,
    },
    numberSliderElement: {
        zIndex: 400,
        maxVisibleSnapPoints: 20,
        squareWidthAspect: 8,
        borderLineWidth: 1,
        borderLineColor: 0x4a90e2,
        borderLineAlpha: 1,
        sliderWidth: 1,
        fillColor: 0xffffff,
        fillAlpha: 1,
    },
    virtualPointerElement: {
        zIndex: 100,
        strokeWidth: 1,
        lineWidth: 1,
        lineColor: 0x000000,
        lineAlpha: 1,
        fillColor: 0xFFFFFF,
        fillAlpha: 0.8,
        zoomStep: 0.1,
    },
};