import * as PIXI from "pixi.js-legacy";
import * as MedsurfDraw from "../public-api";
import {BaseElementInteraction} from "../bases/interactions/BaseElementInteraction";

/**
 * Context interaction
 */
export class ContextInteraction<TElement extends MedsurfDraw.Image | MedsurfDraw.SelectGroupElement> extends BaseElementInteraction<TElement> {
    /**
     * Constructor
     * @param element
     */
    public constructor(element: TElement) {
        // Parent constructor
        super(element);
    }

    //<editor-fold desc="Public functions">
    /**
     * Reset
     */
    public reset(): void {
        return;
    }
    //</editor-fold>

    //<editor-fold desc="Interactions">
    /**
     * Start right
     * @param event
     */
    public startRight(event: PIXI.InteractionEvent) {
        event.stopPropagation();
        this.emit("startRight", event);
    }

    /**
     * End right
     * @param event
     */
    public endRight(event: PIXI.InteractionEvent) {
        event.stopPropagation();
        this.emit("endRight", event);
    }
    //</editor-fold>
}